=== debian/changelog ===
libkfbapi (0.0git20130409-0ubuntu1) raring; urgency=low

  * Initial package, replaces libkfacebook from akonadi-facebook LP: #1169336

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 09 Apr 2013 15:40:00 +0100
