=== debian/control ===
Source: libkfbapi
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Jonathan Riddell <jriddell@ubuntu.com>
Build-Depends: debhelper (>= 9), pkg-kde-tools (>= 0.5.0), cmake,
 kdelibs5-dev, kdepimlibs5-dev, libboost1.49-dev, libqjson-dev,
 libqtwebkit-dev
Standards-Version: 3.9.4
Section: libs

Package: libkfbapi-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, libkfbapi1 (= ${binary:Version})
Description: Facebook API library for KDE -- development files
 LibKFbAPI (previously called LibKFacebook) is a C++ library that
 implements APIs for various Facebook services.
 .
 This package contains development files for building software that uses
 the LibKFbAPI library.

Package: libkfbapi1
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Facebook API library for KDE
 LibKFbAPI (previously called LibKFacebook) is a C++ library that
 implements APIs for various Facebook services.
 .
 This package contains the LibKFbAPI library.

Package: libkfbapi1-dbg
Section: debug
Priority: extra
Architecture: any
Depends: ${misc:Depends}, libkfbapi1 (= ${binary:Version})
Description: Facebook API library for KDE -- debugging symbols
 LibKFbAPI (previously called LibKFacebook) is a C++ library that
 implements APIs for various Facebook services.
 .
 This package contains the debugging symbols for the LibKFbAPI library.
