## libkfbapi 1.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -61,4 +61,6 @@
 )
 
 add_subdirectory(libkfbapi)
-add_subdirectory(po)
+find_package(Msgfmt REQUIRED)
+find_package(Gettext REQUIRED)
+add_subdirectory( po )
