=== debian/changelog ===
libkfbapi (1.0-0ubuntu7) wily; urgency=medium

  * Update symbols file.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 08 Aug 2015 15:36:16 +0000

libkfbapi (1.0-0ubuntu6) wily; urgency=medium

  * Unversioned boost build dependency

 -- Matthias Klose <doko@ubuntu.com>  Sat, 08 Aug 2015 15:01:36 +0000

libkfbapi (1.0-0ubuntu5) utopic; urgency=high

  * Rebuild against boost1.55

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Sat, 03 May 2014 22:08:22 +0100

libkfbapi (1.0-0ubuntu4) trusty; urgency=low

  * In debian/rules prevent kdepim-runtime as a dependency

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 20 Nov 2013 19:03:40 +0000

libkfbapi (1.0-0ubuntu3) trusty; urgency=low

  * Bump to boost1.54.

 -- Dmitrijs Ledkovs <xnox@ubuntu.com>  Fri, 25 Oct 2013 02:17:47 +0100

libkfbapi (1.0-0ubuntu2) saucy; urgency=low

  [ Howard Chan ]
  * Add symbols for libkfbapi1
  * Remove Pre-Depends field for libkfbapi1, not used

  [ Rohan Garg ]
  * Fix Format link in copyright file

 -- Howard Chan <smartboyhw@gmail.com>  Mon, 01 Jul 2013 16:51:57 +0800

libkfbapi (1.0-0ubuntu1) saucy; urgency=low

  * New upstream release. (LP: #1195358)
  * Add symlink to libkfbapi-dev to make lintian happy.

 -- Howard Chan <smartboyhw@gmail.com>  Sun, 30 Jun 2013 22:14:31 +0800
