=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Jonathan Riddell <jriddell@ubuntu.com>
 Build-Depends: debhelper (>= 9), pkg-kde-tools (>= 0.5.0), cmake,
- kdelibs5-dev, kdepimlibs5-dev, libboost1.49-dev, libqjson-dev,
+ kdelibs5-dev, kdepimlibs5-dev, libboost-dev, libqjson-dev,
  libqtwebkit-dev
 Standards-Version: 3.9.4
 Section: libs
@@ -21,7 +21,6 @@
 
 Package: libkfbapi1
 Architecture: any
-Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: Facebook API library for KDE
  LibKFbAPI (previously called LibKFacebook) is a C++ library that
