=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --dbg-package=libkfbapi1-dbg --with kde --parallel

override_dh_shlibdeps:
	$(overridden_command) -- -xkdepim-runtime
